Package org.apache.qpid.proton.amqp.messaging

# Class Released

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Released

All Implemented Interfaces:
  `Outcome`, `DeliveryState`

public final class Released extends Object implements DeliveryState, Outcome

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.DeliveryState

`DeliveryState.DeliveryStateType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Symbol`
`DESCRIPTOR_SYMBOL`

## Constructor Summary

Constructors
Constructor
Description
`Released()`

## Method Summary

Modifier and Type
Method
Description
`static Released`
`getInstance()`
`DeliveryState.DeliveryStateType`
`getType()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESCRIPTOR_SYMBOL

public static final Symbol DESCRIPTOR_SYMBOL

## Constructor Details

### Released

public Released()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getInstance

public static Released getInstance()

### getType

public DeliveryState.DeliveryStateType getType()

Specified by:
  `getType` in interface `DeliveryState`
Returns:
  the `DeliveryState.DeliveryStateType` that this instance represents.